Subject: Re: [PATCH RESEND 1/2] in-kernel sockets API

From: Al Viro <[email-masked]>
Date: Tue, 8 Aug 2006 01:56:19 +0100

On Mon, Aug 07, 2006 at 04:20:33PM -0700, Stephen Hemminger wrote:
> Please consider EXPORT_SYMBOL_GPL because this interface would be a obvious
> target for binary modules writers to use.

As opposed to duplicating it?  WTFPoint of restriction that is trivial to
bypass?  Look at those functions; there's nothing that couldn't be
immediately open-coded in a binary module and use of _GPL doesn't serve
any purpose.